Package ru.bitel.bgbilling.plugins.cashcheck.common

# Class Payment

java.lang.Object
ru.bitel.bgbilling.plugins.cashcheck.common.Payment

All Implemented Interfaces:
  `java.io.Serializable`

    public class Payment
    extends java.lang.Object
    implements java.io.Serializable

Моделька "паймент", она типа расширяет существующую модель из таблицы платежей - объединяет тут поля из таблицы очереди, контракта итд. Она же используется для расходов/возвратов.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Payment()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCheckData()` | содержимое чека
  `Check.Type` | `getCheckType()` | реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` |
  `int` | `getContractID()` | Deprecated.
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDate()` |
  `java.lang.String` | `getFiscalData()` |
  `int` | `getId()` | Deprecated.
  `java.lang.String` | `getLastError()` | последняя ошибка, если чек не напечатался (столбец last_error)
  `int` | `getLogId()` |
  `int` | `getPaymentId()` |
  `int` | `getPaymentTypeId()` |
  `int` | `getPaymentTypeID()` | Deprecated.
  `java.lang.String` | `getPaymentTypesTitle()` |
  `java.lang.String` | `getPendingId()` |
  `int` | `getPosId()` |
  `int` | `getPosID()` | Deprecated.
  `java.lang.String` | `getPosMapping()` |
  `java.lang.String` | `getPrintMode()` | Deprecated.
  `java.util.Date` | `getQueueDate()` |
  `java.math.BigDecimal` | `getSumma()` |
  `int` | `getUserId()` |
  `int` | `getUserID()` | Deprecated.
  `boolean` | `isPayment()` |
  `void` | `setCheckData​(java.lang.String checkData)` | содержимое чека
  `void` | `setCheckType​(Check.Type checkType)` | реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractID​(int contractId)` | Deprecated.
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setFiscalData​(java.lang.String fiscalData)` |
  `void` | `setId​(int id)` | Deprecated.
  `void` | `setIsPayment​(boolean isPayment)` |
  `void` | `setLastError​(java.lang.String lastError)` | последняя ошибка, если чек не напечатался (столбец last_error)
  `void` | `setLogId​(int logId)` |
  `void` | `setPaymentId​(int paymentId)` |
  `void` | `setPaymentTypeId​(int paymentTypeId)` |
  `void` | `setPaymentTypeID​(int paymentTypeId)` | Deprecated.
  `void` | `setPaymentTypesTitle​(java.lang.String paymentTypesTitle)` |
  `void` | `setPendingId​(java.lang.String pendingId)` |
  `void` | `setPosId​(int posId)` |
  `void` | `setPosID​(int posId)` | Deprecated.
  `void` | `setPosMapping​(java.lang.String posMapping)` |
  `void` | `setQueueDate​(java.util.Date queueDate)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserID​(int userId)` | Deprecated.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Payment

    public Payment()

- ## Method Details

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getId

    @Deprecated public int getId()
    Deprecated.

  - ### setId

    @Deprecated public void setId​(int id)
    Deprecated.

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### getPaymentTypeID

    @Deprecated public int getPaymentTypeID()
    Deprecated.
    Использовать `getPaymentTypeId()`.
    Returns:

  - ### setPaymentTypeId

    public void setPaymentTypeId​(int paymentTypeId)

  - ### setPaymentTypeID

    @Deprecated public void setPaymentTypeID​(int paymentTypeId)
    Deprecated.
    Использовать `setPaymentTypeId(int)`.
    Parameters:
      `paymentTypeId` -

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### setUserId

    public void setUserId​(int userId)

  - ### setUserID

    @Deprecated public void setUserID​(int userId)
    Deprecated.
    Использовать `setUserId(int)`.
    Parameters:
      `userId` -

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)

  - ### setContractId

    public void setContractId​(int contractId)

  - ### setContractID

    @Deprecated public void setContractID​(int contractId)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `contractId` -

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getDate

    public java.util.Date getDate()

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### getUserId

    public int getUserId()

  - ### getUserID

    @Deprecated public int getUserID()
    Deprecated.
    Использовать `getUserId()`.
    Returns:

  - ### getComment

    public java.lang.String getComment()

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getPaymentTypesTitle

    public java.lang.String getPaymentTypesTitle()

  - ### setPaymentTypesTitle

    public void setPaymentTypesTitle​(java.lang.String paymentTypesTitle)

  - ### getQueueDate

    public java.util.Date getQueueDate()

  - ### setQueueDate

    public void setQueueDate​(java.util.Date queueDate)

  - ### getPosId

    public int getPosId()

  - ### getPosID

    @Deprecated public int getPosID()
    Deprecated.
    Использовать `getPosId()`.
    Returns:

  - ### setPosId

    public void setPosId​(int posId)

  - ### setPosID

    @Deprecated public void setPosID​(int posId)
    Deprecated.
    Использовать `getPosId()`.
    Parameters:
      `posId` -

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getCheckData

    public java.lang.String getCheckData()
    содержимое чека

  - ### setCheckData

    public void setCheckData​(java.lang.String checkData)
    содержимое чека

  - ### getLastError

    public java.lang.String getLastError()
    последняя ошибка, если чек не напечатался (столбец last_error)

  - ### setLastError

    public void setLastError​(java.lang.String lastError)
    последняя ошибка, если чек не напечатался (столбец last_error)

  - ### getCheckType

    public Check.Type getCheckType()
    реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)

  - ### setCheckType

    public void setCheckType​(Check.Type checkType)
    реальный тип чека: продажа, возврат, коррекция итд (столбец check_type)

  - ### getPosMapping

    public java.lang.String getPosMapping()
    Returns:
      the posMapping

  - ### getPrintMode

    @Deprecated public java.lang.String getPrintMode()
    Deprecated.

  - ### setPosMapping

    public void setPosMapping​(java.lang.String posMapping)
    Parameters:
      `printMode` - the paymentMode to set

  - ### getPendingId

    public java.lang.String getPendingId()

  - ### setPendingId

    public void setPendingId​(java.lang.String pendingId)

  - ### getFiscalData

    public java.lang.String getFiscalData()

  - ### setFiscalData

    public void setFiscalData​(java.lang.String fiscalData)

  - ### getLogId

    public int getLogId()

  - ### setLogId

    public void setLogId​(int logId)

  - ### getPaymentId

    public int getPaymentId()

  - ### setPaymentId

    public void setPaymentId​(int paymentId)

  - ### isPayment

    public boolean isPayment()

  - ### setIsPayment

    public void setIsPayment​(boolean isPayment)